org.mariadb.jdbc.internal.com.send

## Class SendSslConnectionRequestPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.SendSslConnectionRequestPacket

    public class SendSslConnectionRequestPacket
    extends Object

Used for starting ssl connections.

### Constructor Summary

Constructors
Constructor and Description
`SendSslConnectionRequestPacket()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `send(PacketOutputStream pos, long clientCapabilities, byte serverLanguage)` Send SSL request packet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendSslConnectionRequestPacket

    public SendSslConnectionRequestPacket()

### Method Detail

#### send

    public static void send(PacketOutputStream pos,
                            long clientCapabilities,
                            byte serverLanguage)
                     throws IOException

Send SSL request packet. See https://mariadb.com/kb/en/library/connection/#sslrequest-packet

Parameters:
  `pos` - output stream
  `clientCapabilities` - client capabilities
  `serverLanguage` - connection charset
Throws:
  `IOException` - if any connection error occur